<template>
  <BasicLayout title="Sign in to your account">  
    <b-form @submit="onSubmit">
      <b-form-group
        id="input-group-username"
        label="Username or email"
        label-for="input-username"
      >
        <b-form-input
          id="input-username"
          v-model="form.username"
          required
          placeholder=""
          class="subtle-shadow"
        ></b-form-input>
      </b-form-group>

      <b-form-group 
        id="input-group-password"
        label="Password"
        label-for="input-password"
      >
        <b-form-input
          id="input-password"
          v-model="form.password"
          type="password"
          required
          placeholder=""
          class="subtle-shadow"
        ></b-form-input>
      </b-form-group>

      <b-link to="/auth/forgotpassword" class="float-right">Forgot my password</b-link>
      <b-form-checkbox
        id="input-remember-me"
        v-model="form.rememberme"
        name="input-remember-me"
        value="true"
        unchecked-value="false"
      >
        Remember me
      </b-form-checkbox>

      <b-button block type="submit" variant="primary">Sign in</b-button>
    </b-form>
  </BasicLayout>
</template>

<script>
import BasicLayout from '@/components/Layout/BasicLayout.vue'

export default {
  name: 'Login',
  components: {
    BasicLayout
  },
  data() {
    return {
      form: {
        username: 'test@indent.cloud',
        password: 'test123!',
        rememberme: false
      }
    }
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault();
      let username = this.form.username;
      let password = this.form.password;
      
      this.$store.dispatch('auth/login', { username, password })
        .then(() => {
          this.$store.dispatch('organization/getOrganization');
          this.$router.push('/')
        })
        .catch(error => {
          this.$bvToast.toast(error, {
            title: 'Authentication Error',
            toaster: 'b-toaster-top-center',
            solid: true,
            appendToast: false
          });
        })
    }
  }
}
</script>